using System;
using System.Text;

namespace at.jku.ssw.Analyse {
	/// <summary>
	/// Die Informationen ber den Namespace.
	/// </summary>
	public class NamespaceInfo : MethodAvgInfo {
		public UsingInfo uiUsings;	// speichert die Using-Direktiven dieses Namespaces

		public NamespaceInfo(String sName, int iLine, CodeInfo parent) : base(sName, iLine, parent) {
			uiUsings = new UsingInfo();
		}

		public override void compute() {
			base.compute();
		}
	
		public override String ToString(String sTab, bool bToDescend) {
			StringBuilder sb = new StringBuilder();
			sb.Append(sTab).Append("Namespace\n");
			sb.Append(sTab).Append("---------\n");
			sb.Append(base.ToString(sTab, bToDescend));
			sb.Append(uiUsings.ToString(sTab));
			if (bToDescend)
				sb.Append(base.ToDescend(sTab));
			return sb.ToString();
		}
	}
}
